

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[_movimientosElemento]') AND type in (N'P', N'PC'))
DROP PROCEDURE [_movimientosElemento]
GO
CREATE procedure [_movimientosElemento]	
@p_id int = 0
as
begin
select 
alq.prefijo +'-'+ CAST(alq.documento_numero  as varchar(100))as alquiler
,hijos.prefijo +'-'+ CAST(hijos.documento_numero  as varchar(100))as documento
,hijos.fechaCierre_ff 
,item.cantidadEjecutado 
,bod.bodega
 from doc_itemDocumento item
inner join doc_documento hijos on hijos.id =item.id_documento  and hijos .active =1 and hijos.active=1
inner join doc_documento alq on alq.id =hijos .id_documento  and alq.active =1 
inner join doc_subtipoDocumento sub on sub.id =alq.id_subtipoDocumento  and sub.active=1 and sub.id_tipoDocumento =9
inner join gen_bodega bod on bod.id=item.id_bodega and bod.id>0 and bod.active =1 
where item.id_catalogo=@p_id

end 